<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bkash_transactions', function (Blueprint $table) {
            $table->id();
            $table->string('trx_id');
            $table->string('payment_id');
            $table->integer('customer_id');
            $table->integer('customerMsisdn');
            $table->string('type');
            $table->string('merchant_invoice_number');
            $table->string('payment_time');
            $table->string('currency');
            $table->decimal('amount', 10, 2);
            $table->string('status')->nullable();
            $table->string('mobile')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bkash_transactions');
    }
};
